Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Attributes | List of all members
faiss::gpu::GpuIndexFlatConfig Struct Reference
Inheritance diagram for faiss::gpu::GpuIndexFlatConfig:

## Public Attributes
bool | useFloat16
| Whether or not data is stored as float16.
bool | useFloat16Accumulator
bool | storeTransposed
Public Attributes inherited from faiss::gpu::GpuIndexConfig
int | device
| GPU device on which the index is resident.
MemorySpace | memorySpace

## Detailed Description

Definition at line 26 of file GpuIndexFlat.h.

## Member Data Documentation

bool faiss::gpu::GpuIndexFlatConfig::storeTransposed

Whether or not data is stored (transparently) in a transposed layout, enabling use of the NN GEMM call, which is ~10% faster. This will improve the speed of the flat index, but will substantially slow down any add() calls made, as all data must be transposed, and will increase storage requirements (we store data in both transposed and non-transposed layouts).

Definition at line 47 of file GpuIndexFlat.h.

bool faiss::gpu::GpuIndexFlatConfig::useFloat16Accumulator

Whether or not all math is performed in float16, if useFloat16 is specified. If true, we use cublasHgemm, supported only on CC 5.3+. Otherwise, we use cublasSgemmEx.

Definition at line 39 of file GpuIndexFlat.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/gpu/GpuIndexFlat.h